Bug 446012 - --discs option may cause harm.
--discs option may cause harm.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-11 21:16 EDT by Jens Petersen
Modified: 2013-01-09 20:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 18:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-05-11 21:16:15 EDT
Description of problem:
I tried to do a local compose of F9 to seed the local mirror.
The DVD iso was generated but I got a backtrace during the CD
split processing.

Version-Release number of selected component (if applicable):
pungi-1.2.18-1.fc9

Steps to Reproduce:
1. run "pungi --ver=9 --discs=6 --nosource -c f9-fedora.ks"
  
Actual results:
1. during splitting get:
:
Pungi.Pungi:INFO: Running /usr/bin/implantisomd5
/root/9/x86_64/iso/Fedora-9-x86_64-DVD.iso
Pungi.Pungi:INFO: Running /usr/bin/sha1sum Fedora-9-x86_64-DVD.iso
Pungi.Pungi:INFO: Running /usr/lib/anaconda-runtime/pkgorder /root/9/x86_64/os
x86_64 Packages
Pungi.Pungi:INFO: Running splittree.
Traceback (most recent call last):
  File "/usr/bin/pungi", line 189, in <module>
    main()
  File "/usr/bin/pungi", line 101, in main
    mypungi.doCreateIsos(split=opts.nosplitmedia)
  File "/usr/lib/python2.5/site-packages/pypungi/pungi.py", line 490, in
doCreateIsos
    self.doSplittree()
  File "/usr/lib/python2.5/site-packages/pypungi/pungi.py", line 269, in doSplittree
    output = timber.main()
  File "/usr/lib/anaconda-runtime/splittree.py", line 399, in main
    self.createSplitDirs()
  File "/usr/lib/anaconda-runtime/splittree.py", line 235, in createSplitDirs
    self.createDiscInfo(i)
  File "/usr/lib/anaconda-runtime/splittree.py", line 153, in createDiscInfo
    raise RuntimeError, "CRITICAL ERROR : self.real_arch is not the same as
self.arch"
RuntimeError: CRITICAL ERROR : self.real_arch is not the same as self.arch


Expected results:


Additional info:
Comment 1 Jesse Keating 2008-05-12 10:45:48 EDT
Are you doing this from an x86_64 host?
Comment 2 Jens Petersen 2008-05-12 22:23:31 EDT
Yes. (Can one compose x86_64 on other archs?)
Comment 3 Jesse Keating 2008-05-13 08:08:34 EDT
(In reply to comment #2)
> Yes. (Can one compose x86_64 on other archs?)

Not really, which is why I was making sure you're on the right arch.

The --discs=6 argument is odd, we don't hard set the number of discs any more,
we figure it out based on the size of the DVD and the size of requested split
media image.  Just for snorts and giggles, what happens if you take that
argument out.  I don't really expect any change, but you never know.

Also, are you running F9~ on the system you're doing the compose?
Comment 4 Jens Petersen 2008-05-13 23:23:56 EDT
(In reply to comment #3)
> The --discs=6 argument is odd, we don't hard set the number of discs any more,
> we figure it out based on the size of the DVD and the size of requested split
> media image. 

Ok - how about removing the option then?

> Just for snorts and giggles, what happens if you take that
> argument out.  I don't really expect any change, but you never know.

I don't have that install anymore, but I tried now from a fresh Live i386 install
and that worked fine.

> Also, are you running F9~ on the system you're doing the compose?

It was a recent rawhide install updated to f9 final.
Comment 5 Bug Zapper 2008-05-14 07:00:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jesse Keating 2008-05-14 13:16:19 EDT
Hah, I thought I had removed it.  Silly me.  I'll do that.
Comment 7 Jesse Keating 2008-07-15 23:09:35 EDT
Removed upstream, will be in next rawhide build.
Comment 8 Bug Zapper 2008-11-25 21:15:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.